package com.zehong.system.service.impl.debitCredit.roles;

import com.zehong.system.domain.TDebitCredit;
import com.zehong.system.service.impl.debitCredit.DebitCreditRolesAbstract;

/**
 * @author geng
 * 核算部
 */
public class Calculator extends DebitCreditRolesAbstract {

    public Calculator(TDebitCredit tDebitCredit) {
        super(tDebitCredit);
    }

    /**
     * 核算部查询所有部门借贷
     */
    @Override
    public void setParams() {

    }

    @Override
    public void setOperators() {
        if(DebitCreditEnum.approval.getDebitCreditStatus().equals(this.tDebitCredit.getDebitStatus())){
            this.tDebitCredit.getOperators().add("calculate");
        }

    }
}
